User: james
Date: 05/03/27 06:22:05
Modified: xemacs ChangeLog configure.ac configure
Log:
Fix configure's test for XawInit.h. See the xemacs-patches message with
ID <pshdjcx0x9.fsf(a)diannao.ittc.ku.edu>.
Revision Changes Path
1.448 +5 -0 XEmacs/xemacs/ChangeLog
Index: ChangeLog
===================================================================
RCS file: /pack/xemacscvs/XEmacs/xemacs/ChangeLog,v
retrieving revision 1.447
retrieving revision 1.448
diff -u -p -r1.447 -r1.448
--- ChangeLog 2005/03/26 17:22:29 1.447
+++ ChangeLog 2005/03/27 04:21:07 1.448
@@ -1,3 +1,8 @@
+2005-03-15 Jerry James <james(a)xemacs.org>
+
+ * configure.ac: Include <X11/Intrinsic.h> when checking for
+ <Xaw/XawInit.h> usability.
+
2005-03-23 Vin Shelton <acs(a)xemacs.org>
* configure.in: Remove -fno-gnu-linker option from Solaris
1.7 +8 -1 XEmacs/xemacs/configure.ac
Index: configure.ac
===================================================================
RCS file: /pack/xemacscvs/XEmacs/xemacs/configure.ac,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -p -r1.6 -r1.7
--- configure.ac 2005/03/26 17:22:34 1.6
+++ configure.ac 2005/03/27 04:21:08 1.7
@@ -3928,7 +3928,10 @@ if test "$with_x11" = "yes" -a
"$detect_
[AC_MSG_WARN([Could not find a non-3d Athena header set.])],
[AC_CHECK_HEADER(X11/Xaw/XawInit.h,
[athena_h_path=X11/Xaw],
- [AC_MSG_WARN([Could not find a non-3d Athena header set.])])])
+ [AC_MSG_WARN([Could not find a non-3d Athena header set.])],
+[
+#include <X11/Intrinsic.h>
+])])
else
dnl The three-d Athena headers are so much more slippery.
dnl Curse this `Lets replace standard libraries' thing that they did. :/
@@ -3939,6 +3942,7 @@ if test "$with_x11" = "yes" -a "$detect_
#if HAVE_X11_XFUNCPROTO_H
#include <X11/Xfuncproto.h>
#endif
+#include <X11/Intrinsic.h.>
])
dnl Is the variant specific header directory directly under include?
@@ -3950,6 +3954,7 @@ if test "$with_x11" = "yes" -a "$detect_
#if HAVE_X11_XFUNCPROTO_H
#include <X11/Xfuncproto.h>
#endif
+#include <X11/Intrinsic.h>
])
fi
@@ -3965,6 +3970,7 @@ if test "$with_x11" = "yes" -a "$detect_
#if HAVE_X11_XFUNCPROTO_H
#include <X11/Xfuncproto.h>
#endif
+#include <X11/Intrinsic.h>
])
fi
@@ -3980,6 +3986,7 @@ if test "$with_x11" = "yes" -a "$detect_
#if HAVE_X11_XFUNCPROTO_H
#include <X11/Xfuncproto.h>
#endif
+#include <X11/Intrinsic.h>
])
fi
1.248 +11 -94 XEmacs/xemacs/configure
Index: configure
===================================================================
RCS file: /pack/xemacscvs/XEmacs/xemacs/configure,v
retrieving revision 1.247
retrieving revision 1.248
diff -u -p -r1.247 -r1.248
--- configure 2005/03/26 17:22:29 1.247
+++ configure 2005/03/27 04:21:09 1.248
@@ -23692,25 +23692,21 @@ if test $ac_cv_header_X11_Xaw_ThreeD_h =
{ echo "$as_me:$LINENO: WARNING: Could not find a non-3d Athena header
set." >&5
echo "$as_me: WARNING: Could not find a non-3d Athena header set."
>&2;}
else
- if test "${ac_cv_header_X11_Xaw_XawInit_h+set}" = set; then
echo "$as_me:$LINENO: checking for X11/Xaw/XawInit.h" >&5
echo $ECHO_N "checking for X11/Xaw/XawInit.h... $ECHO_C" >&6
if test "${ac_cv_header_X11_Xaw_XawInit_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xaw_XawInit_h" >&5
-echo "${ECHO_T}$ac_cv_header_X11_Xaw_XawInit_h" >&6
else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking X11/Xaw/XawInit.h usability" >&5
-echo $ECHO_N "checking X11/Xaw/XawInit.h usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
+ cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
-$ac_includes_default
+
+#include <X11/Intrinsic.h>
+
+
#include <X11/Xaw/XawInit.h>
_ACEOF
rm -f conftest.$ac_objext
@@ -23735,100 +23731,17 @@ if { (eval echo "$as_me:$LINENO: \"$ac_c
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_header_compiler=yes
+ ac_cv_header_X11_Xaw_XawInit_h=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
-ac_header_compiler=no
+ac_cv_header_X11_Xaw_XawInit_h=no
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking X11/Xaw/XawInit.h presence" >&5
-echo $ECHO_N "checking X11/Xaw/XawInit.h presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <X11/Xaw/XawInit.h>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"")
>&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_preproc=no
fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: accepted by the compiler,
rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: X11/Xaw/XawInit.h: accepted by the compiler, rejected by
the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: proceeding with the
compiler's result" >&5
-echo "$as_me: WARNING: X11/Xaw/XawInit.h: proceeding with the compiler's
result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: present but cannot be
compiled" >&5
-echo "$as_me: WARNING: X11/Xaw/XawInit.h: present but cannot be compiled"
>&2;}
- { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: check for missing
prerequisite headers?" >&5
-echo "$as_me: WARNING: X11/Xaw/XawInit.h: check for missing prerequisite
headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: see the Autoconf
documentation" >&5
-echo "$as_me: WARNING: X11/Xaw/XawInit.h: see the Autoconf documentation"
>&2;}
- { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: section \"Present
But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: X11/Xaw/XawInit.h: section \"Present But Cannot Be
Compiled\"" >&2;}
- { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: proceeding with the
preprocessor's result" >&5
-echo "$as_me: WARNING: X11/Xaw/XawInit.h: proceeding with the preprocessor's
result" >&2;}
- { echo "$as_me:$LINENO: WARNING: X11/Xaw/XawInit.h: in the future, the
compiler will take precedence" >&5
-echo "$as_me: WARNING: X11/Xaw/XawInit.h: in the future, the compiler will take
precedence" >&2;}
- (
- cat <<\_ASBOX
-## ------------------------------------------ ##
-## Report this to the AC_PACKAGE_NAME lists. ##
-## ------------------------------------------ ##
-_ASBOX
- ) |
- sed "s/^/$as_me: WARNING: /" >&2
- ;;
-esac
-echo "$as_me:$LINENO: checking for X11/Xaw/XawInit.h" >&5
-echo $ECHO_N "checking for X11/Xaw/XawInit.h... $ECHO_C" >&6
-if test "${ac_cv_header_X11_Xaw_XawInit_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header_X11_Xaw_XawInit_h=$ac_header_preproc
-fi
echo "$as_me:$LINENO: result: $ac_cv_header_X11_Xaw_XawInit_h" >&5
echo "${ECHO_T}$ac_cv_header_X11_Xaw_XawInit_h" >&6
-
-fi
if test $ac_cv_header_X11_Xaw_XawInit_h = yes; then
athena_h_path=X11/Xaw
else
@@ -23857,6 +23770,7 @@ cat >>conftest.$ac_ext <<_ACEOF
#if HAVE_X11_XFUNCPROTO_H
#include <X11/Xfuncproto.h>
#endif
+#include <X11/Intrinsic.h.>
#include <X11/$athena_variant/XawInit.h>
@@ -24059,6 +23973,7 @@ cat >>conftest.$ac_ext <<_ACEOF
#if HAVE_X11_XFUNCPROTO_H
#include <X11/Xfuncproto.h>
#endif
+#include <X11/Intrinsic.h>
#include <$athena_variant/XawInit.h>
@@ -24261,6 +24176,7 @@ cat >>conftest.$ac_ext <<_ACEOF
#if HAVE_X11_XFUNCPROTO_H
#include <X11/Xfuncproto.h>
#endif
+#include <X11/Intrinsic.h>
#include <X11/Xaw3d/XawInit.h>
@@ -24466,6 +24382,7 @@ cat >>conftest.$ac_ext <<_ACEOF
#if HAVE_X11_XFUNCPROTO_H
#include <X11/Xfuncproto.h>
#endif
+#include <X11/Intrinsic.h>
#include <Xaw3d/XawInit.h>
Show replies by date